Bug report #1565

grass vector attributes are not available in qgis

Added by marchesinivan - over 11 years ago. Updated over 11 years ago.

Status:Closed
Priority:Low
Assignee:nobody -
Category:GRASS
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:11625

Description

When I try to load a Grass vector data in Qgis, the attributes are not available. Only the cat column.
I'm using Debian testing 1.0.1 package..

Thanks

History

#1 Updated by Maciej Sieczka - over 11 years ago

What is the output of 'v.info -c' for your GRASS vector map?

#2 Updated by marchesinivan - over 11 years ago

Replying to [comment:1 msieczka]:

What is the output of 'v.info -c' for your GRASS vector map?

v.info -c geologica_or_frane
Displaying column types/names for database connection of layer 1:
INTEGER|cat
INTEGER|a_cat
DOUBLE PRECISION|a_area
INTEGER|a_idfrana
CHARACTER|a_idfrana_varchar
CHARACTER|a_cod_stato
INTEGER|b_cat
DOUBLE PRECISION|b_geoval
CHARACTER|b_descriz
CHARACTER|b_sigla
INTEGER|b_id
CHARACTER|b_grassrgb
CHARACTER|litotecnica

but I have tried also with other map and mapsets...
thanks...

#3 Updated by Giovanni Manghi over 11 years ago

I have made a test with both the 1.0 and the 1.0.1 (installed using the official repository) under Ubuntu 8.10 and with grass 6.3 installed trough the Jachym repository: I have no problems using sample vectors from the Spearfish sample dataset and from the North Carolina sample dataset.

#4 Updated by Niccolo Rigacci over 11 years ago

I loaded the spearfish60 mapset, added the landcover vector layer, clicked on "Open Attribute Table": I see a three columns table: id, cat, label.

I can also use the label field as a label on the map. The same with other vector layers.

If I understand the bug report, this means that the error here does not appear.

Check packages installed on your system, may be the upgrade was not perfect and you have some leftover. Purge them with dpkg --purge. I have the following packages on my Debian Lenny box:

  • libqgis1
  • python-qgis
  • qgis
  • qgis-common
  • qgis-plugin-grass
  • qgis-plugin-grass-common

All of them from 1.0.1~gfossit20090217-1 build

  • grass 6.3.0.1gfossit20090217-1
  • gdal-bin 1.5.2-3
  • libgdal1-1.5.0 1.5.2-3
  • libgdal1-1.5.0-grass 1.5.2-1
  • python-gdal 1.5.2-3

#5 Updated by Paolo Cavallini over 11 years ago

  • Status changed from Open to Closed
  • Resolution set to fixed

Ok, so that was the problem. I had previous day's version, and the packages didn't automatically upgrade even when asked. Purging and reinstalling solved the issue. The packages should be improved however.

#6 Updated by Anonymous over 11 years ago

Milestone Version 1.0.2 deleted

Also available in: Atom PDF